
# Base all directories relative to the location of the ParaViewConfig.cmake file.
GET_FILENAME_COMPONENT(ParaView_INSTALL_PREFIX "${ParaView_DIR}" ABSOLUTE)

# Version information for ParaView
SET(PARAVIEW_VERSION_MAJOR "3")
SET(PARAVIEW_VERSION_MINOR "10")
SET(PARAVIEW_VERSION_PATCH "1")
SET(PARAVIEW_VERSION_RC    "")

# Locations for the source and binary dirs.
# I am not sure ParaView_SOURCE_DIR should be exported since it won't be
# available for development-install
SET(ParaView_CMAKE_DIR "/usr/local/lib/paraview-3.10/CMake")
SET(ParaView_BINARY_DIR "/usr/local/lib/paraview-3.10")

# Some core ParaView settings.
SET(PARAVIEW_BUILD_SHARED_LIBS "ON")
SET(PARAVIEW_ENABLE_PYTHON "ON")
SET(PARAVIEW_BUILD_QT_GUI "ON")

IF (PARAVIEW_ENABLE_PYTHON)
  SET (PARAVIEW_PYTHON_INCLUDE_DIR "/usr/local/include/python2.7")
ENDIF()

SET(PARAVIEW_USE_FILE "/usr/local/lib/paraview-3.10/ParaViewUse.cmake")
SET(PARAVIEW_VTK_DIR "/usr/local/lib/paraview-3.10/VTK")
SET(PARAVIEW_QT_QMAKE_EXECUTABLE "/usr/local/bin/qmake-qt4")
SET(ParaView_QT_DIR "/usr/local/lib/paraview-3.10/Qt")

# Locate to extra CMake modules.
#SET(PARAVIEW_CMAKE_EXTENSIONS "")

SET(VTK_WRAP_ClientServer_EXE "/usr/local/lib/paraview-3.10/bin/vtkWrapClientServer")
SET(PARAVIEW_INCLUDE_DIRS "/usr/local/lib/paraview-3.10/Utilities/VTKClientServer;/usr/local/lib/paraview-3.10/Common/KWCommon;/usr/local/lib/paraview-3.10/Servers/Filters;/usr/local/lib/paraview-3.10/Servers/ServerManager;/usr/local/lib/paraview-3.10/Servers/Common;/usr/local/lib/paraview-3.10/Utilities/VTKPythonWrapping/Executable;/usr/local/lib/paraview-3.10/VTK/Wrapping;/usr/local/lib/paraview-3.10/VTK/Wrapping;/usr/local/lib/paraview-3.10;/usr/local/lib/paraview-3.10/Utilities/VTKClientServer;/usr/local/lib/paraview-3.10/Servers/Filters;/usr/local/lib/paraview-3.10/Servers/ServerManager;/usr/local/lib/paraview-3.10/Servers/Common;/usr/local/lib/paraview-3.10/Utilities/Xdmf2/vtk;/usr/local/lib/paraview-3.10/Utilities/Xdmf2/vtk;/usr/local/lib/paraview-3.10/VTK/Utilities/vtkhdf5/src;/usr/local/lib/paraview-3.10/VTK/Utilities/vtkhdf5;/usr/local/lib/paraview-3.10/VTK/Utilities/vtkhdf5")
SET(PARAVIEW_LIBRARY_DIRS "/usr/local/lib/paraview-3.10/bin")

SET(PARAVIEW_GUI_INCLUDE_DIRS "/usr/local/lib/paraview-3.10/VTK/GUISupport/Qt;/usr/local/lib/paraview-3.10/VTK/GUISupport/Qt;/usr/local/lib/paraview-3.10/Qt/Widgets;/usr/local/lib/paraview-3.10/Qt/Widgets;/usr/local/lib/paraview-3.10/Qt/Chart;/usr/local/lib/paraview-3.10/Qt/Chart;/usr/local/lib/paraview-3.10/Qt/Core;/usr/local/lib/paraview-3.10/Qt/Core;/usr/local/lib/paraview-3.10/Qt/Core/Resources/UI;/usr/local/lib/paraview-3.10/Qt/Components;/usr/local/lib/paraview-3.10/Qt/Components;/usr/local/lib/paraview-3.10/Qt/Components/Resources/UI;/usr/local/lib/paraview-3.10/Qt/ApplicationComponents;/usr/local/lib/paraview-3.10/Qt/ApplicationComponents;/usr/local/lib/paraview-3.10/Qt/ApplicationComponents/Resources/UI;/usr/local/lib/paraview-3.10/Qt/Testing;/usr/local/lib/paraview-3.10/Qt/Testing;/usr/local/lib/paraview-3.10/Qt/Python;/usr/local/lib/paraview-3.10/Qt/Python")
SET(PARAVIEW_KWSYS_INCLUDE_DIRS "/usr/local/lib/paraview-3.10/Utilities/VTKClientServer;/usr/local/lib/paraview-3.10/Common/KWCommon;/usr/local/lib/paraview-3.10/Servers/Filters;/usr/local/lib/paraview-3.10/Servers/ServerManager;/usr/local/lib/paraview-3.10/Servers/Common;/usr/local/lib/paraview-3.10/Utilities/VTKPythonWrapping/Executable;/usr/local/lib/paraview-3.10/VTK/Wrapping;/usr/local/lib/paraview-3.10/VTK/Wrapping;/usr/local/lib/paraview-3.10;/usr/local/lib/paraview-3.10/Utilities/VTKClientServer;/usr/local/lib/paraview-3.10/Servers/Filters;/usr/local/lib/paraview-3.10/Servers/ServerManager;/usr/local/lib/paraview-3.10/Servers/Common;/usr/local/lib/paraview-3.10/Utilities/Xdmf2/vtk;/usr/local/lib/paraview-3.10/Utilities/Xdmf2/vtk;/usr/local/lib/paraview-3.10/VTK/Utilities/vtkhdf5/src;/usr/local/lib/paraview-3.10/VTK/Utilities/vtkhdf5;/usr/local/lib/paraview-3.10/VTK/Utilities/vtkhdf5")

# Path to various paraview executables needed for testing.
SET(PARAVIEW_BATCH_EXECUTABLE "/usr/local/lib/paraview-3.10/bin/pvbatch")
SET(PARAVIEW_PYTHON_EXECUTABLE "/usr/local/lib/paraview-3.10/bin/pvpython")
SET(PARAVIEW_SERVER_EXECUTABLE "/usr/local/lib/paraview-3.10/bin/pvserver")
SET(PARAVIEW_DATA_SERVER_EXECUTABLE "/usr/local/lib/paraview-3.10/bin/pvdataserver")
SET(PARAVIEW_RENDER_SERVER_EXECUTABLE "/usr/local/lib/paraview-3.10/bin/pvrenderserver")
SET(PARAVIEW_SMTESTDRIVER_EXECUTABLE "/usr/local/lib/paraview-3.10/bin/smTestDriver")

SET(PARAVIEW_PROCESS_XML_EXECUTABLE "/usr/local/lib/paraview-3.10/bin/kwProcessXML")
SET(PARAVIEW_SERVER_MANAGER_RESOURCES_DIRECTORY "/usr/local/lib/paraview-3.10/Servers/ServerManager/Resources")
SET(VTKCS_CONFIG_DIR "/usr/local/lib/paraview-3.10/Utilities/VTKClientServer/CMake")

SET(PARAVIEW_HDF5_LIBRARIES "vtkhdf5")

# The ParaView targets file.
IF(NOT PV_INSTALL_EXPORT_NAME AND NOT TARGET vtkPVServerCommon
   AND EXISTS "/usr/local/lib/paraview-3.10/ParaViewTargets.cmake")
  INCLUDE("/usr/local/lib/paraview-3.10/ParaViewTargets.cmake")
ENDIF()

SET(VTK_MAKE_INSTANTIATOR "/usr/local/lib/paraview-3.10/VTK/CMake")
SET(VTK_ENCODESTRING_EXE "vtkEncodeString")

# The locations/prefixes where this version of ParaView would be installed.
SET (PARAVIEW_INSTALL_LIB_DIR "lib/paraview-3.10")

SET(PARAVIEW_ENABLE_COPROCESSING "OFF")
IF(PARAVIEW_ENABLE_COPROCESSING)
  SET(CoProcessing_DIR "")
ENDIF(PARAVIEW_ENABLE_COPROCESSING)

SET(PARAVIEW_USE_VISITBRIDGE "OFF")
IF(PARAVIEW_USE_VISITBRIDGE)
  SET(VISIT_CMAKE_DIR "")
  SET(VISITBRIDGE_USE_FILE "")
ENDIF(PARAVIEW_USE_VISITBRIDGE)
